"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringLiteralEnumPlugin = void 0;
const logger_1 = require("./logger");
const decorator_1 = require("./decorator");
const service_1 = require("./service");
class StringLiteralEnumPlugin {
    constructor(typescript) {
        this.typescript = typescript;
    }
    create(info) {
        var _a;
        const config = (_a = info.config) !== null && _a !== void 0 ? _a : {};
        this.logger = new logger_1.LanguageServiceLogger(info);
        this.logger.log("create config: " + JSON.stringify(config));
        return new decorator_1.RefactorLanguageServiceProxy(new service_1.CustomizedLanguageService(info, this.typescript, this.logger)).decorate(info.languageService);
    }
}
exports.StringLiteralEnumPlugin = StringLiteralEnumPlugin;
//# sourceMappingURL=plugin.js.map