import type * as ts from "typescript/lib/tsserverlibrary";
import { ICustomizedLanguageServie } from "./decorator";
import { LanguageServiceLogger } from "./logger";
import { EnumOrEnumMember, RefactorContext, Result } from "./types";
export declare class CustomizedLanguageService implements ICustomizedLanguageServie {
    private readonly info;
    private readonly typescript;
    private readonly logger;
    constructor(info: ts.server.PluginCreateInfo, typescript: typeof ts, logger: LanguageServiceLogger);
    getApplicableRefactors(fileName: string, positionOrRange: number | ts.TextRange, preferences: ts.UserPreferences | undefined): ts.ApplicableRefactorInfo[];
    getEditsForRefactor(fileName: string, formatOptions: ts.FormatCodeSettings, positionOrRange: number | ts.TextRange, refactor: string, actionName: string, preferences: ts.UserPreferences | undefined): {
        edits: ts.FileTextChanges[];
    } | undefined;
    doInTextChanges(formatOptions: ts.FormatCodeSettings, preferences: ts.UserPreferences | undefined, cb: (changeTracker: ts.textChanges.ChangeTracker) => void): {
        edits: ts.FileTextChanges[];
    };
    getTargetInfo(file: ts.SourceFile, pos: number): Result<EnumOrEnumMember, EnumOrEnumMember["kind"]>;
    doChangesForEnumDeclaration(file: ts.SourceFile, enumDecl: ts.EnumDeclaration, changeTracker: ts.textChanges.ChangeTracker): void;
    doChangesForEnumMember(file: ts.SourceFile, enumMember: ts.EnumMember, changeTracker: ts.textChanges.ChangeTracker): void;
    getRefactorContext(fileName: string): RefactorContext | undefined;
}
