import type * as ts from "typescript/lib/tsserverlibrary";
export interface SynchronizedConfiguration {
}
export interface RefactorContext {
    program: ts.Program;
    file: ts.SourceFile;
}
export declare enum OkType {
    Ok = 0,
    Err = 1
}
export interface IOk<T> {
    type: OkType.Ok;
    value: T;
}
export interface IError<E = never> {
    type: OkType.Err;
    reason?: string;
    extra?: E;
}
export declare type Result<T, E> = IOk<T> | IError<E>;
export declare function Ok<T>(value: T): IOk<T>;
export declare function Err<E>(reason?: string, extra?: E): IError<E>;
export declare type EnumOrEnumMember = ts.EnumMember | ts.EnumDeclaration;
