"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assert = exports.isConvertibleEnumMember = exports.kindToActionNameAndDesc = exports.getPositionOfPositionOrRange = void 0;
const constants_1 = require("./constants");
function getPositionOfPositionOrRange(positionOrRange) {
    return typeof positionOrRange === "number"
        ? positionOrRange
        : positionOrRange.pos;
}
exports.getPositionOfPositionOrRange = getPositionOfPositionOrRange;
function kindToActionNameAndDesc(kind, typescript) {
    return kind === typescript.SyntaxKind.EnumDeclaration
        ? [
            constants_1.convertEnumIntoStringLiteralActionName,
            constants_1.convertEnumIntoStringLiteralActionDescription
        ]
        : [
            constants_1.convertEnumMemberIntoStringLiteralActionName,
            constants_1.convertEnumMemberIntoStringLiteralActionDescription
        ];
}
exports.kindToActionNameAndDesc = kindToActionNameAndDesc;
function isConvertibleEnumMember(enumMember) {
    return !enumMember.initializer;
}
exports.isConvertibleEnumMember = isConvertibleEnumMember;
function assert(v, message) {
    if (!v) {
        throw new Error(message !== null && message !== void 0 ? message : "Assertion failed");
    }
}
exports.assert = assert;
//# sourceMappingURL=utils.js.map